## libftdi-compat-0.20-10.src.tar.gz

=== bindings/CMakeLists.txt ===
include(FindSWIG)
include(FindPythonLibs)
include(UseSWIG)

option(PYTHON_BINDINGS "Build python bindings via swig" ON)

if(PYTHON_BINDINGS AND SWIG_FOUND AND PYTHONLIBS_FOUND)
    INCLUDE_DIRECTORIES(BEFORE ${CMAKE_SOURCE_DIR}/src)
    INCLUDE_DIRECTORIES(${PYTHON_INCLUDE_PATH})

    SWIG_ADD_MODULE(ftdi python ftdi.i)
    SWIG_LINK_LIBRARIES(ftdi ${PYTHON_LIBRARIES} ftdi)

    GET_FILENAME_COMPONENT(PYTHON_LIB_INSTALL ${PYTHON_LIBRARY} PATH)
    GET_FILENAME_COMPONENT(SITEPACKAGE ${PYTHON_LIB_INSTALL}/../site-packages ABSOLUTE)

    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/_ftdi.so DESTINATION ${SITEPACKAGE})
    INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/ftdi.py DESTINATION ${SITEPACKAGE})

    message(STATUS "Building python bindings via swig. Will be installed under ${SITEPACKAGE}")
else(PYTHON_BINDINGS AND SWIG_FOUND AND PYTHONLIBS_FOUND)
    message(STATUS "Not building python bindings")
endif(PYTHON_BINDINGS AND SWIG_FOUND AND PYTHONLIBS_FOUND)

=== PKGBUILD ===
# Maintainer: BlackIkeEagle <ike DOT devolder AT gmail DOT com>

pkgname=libftdi-compat
pkgver=0.20
pkgrel=10
pkgdesc="A library to talk to FTDI chips"
arch=('x86_64')
url="https://www.intra2net.com/en/developer/libftdi/download.php"
license=('GPL2' 'LGPL2.1')
depends=('libusb-compat' 'gcc-libs')
makedepends=('boost')
source=("https://www.intra2net.com/en/developer/libftdi/download/libftdi-$pkgver.tar.gz"{,.sig})
sha512sums=('540e5eb201a65936c3dbabff70c251deba1615874b11ff27c5ca16c39d71c150cf61758a68b541135a444fe32ab403b0fba0daf55c587647aaf9b3f400f1dee7'
            'SKIP')
validpgpkeys=('3CEA9B8868BC3852618EB5B4707F91A424F006F5')  # Intra2net open source

prepare() {
  cd libftdi-$pkgver
  autoreconf -fiv
}

build() {
  cd libftdi-$pkgver
  ./configure --prefix=/usr --without-examples
  make
}

package() {
  cd  libftdi-$pkgver
  make DESTDIR="$pkgdir" install
}
